<ng-container *ngIf="dataLoaded; else loading">
  <!-- TODO Do I need a reusable mat card for this ?? -->
  <mat-card>
    <mat-card-header>
      <img mat-card-avatar [src]="user.profile_photo" />
      <mat-card-title> {{ user.username }}</mat-card-title>
      <mat-card-subtitle> {{ user.email }} </mat-card-subtitle>
    </mat-card-header>
  </mat-card>
  <app-title-card [title]="'Home Menu'"></app-title-card>
  <div class="card-container">
    <a [routerLink]="'/home/search'">
      <mat-card class="card">
        <mat-card-content class="mat-card-content">
          <p class="main-menu">Search</p>
        </mat-card-content>
      </mat-card>
    </a>
    <a [routerLink]="'/home/study-sets'">
      <mat-card class="card">
        <mat-card-content class="mat-card-content">
          <p class="main-menu">Your Study Sets</p>
        </mat-card-content>
      </mat-card>
    </a>
    <a [routerLink]="'/home/folders'">
      <mat-card class="card">
        <mat-card-content class="mat-card-content">
          <p class="main-menu">Your Folders</p>
        </mat-card-content>
      </mat-card>
    </a>
    <a [routerLink]="'/home/profile'">
      <mat-card class="card">
        <mat-card-content class="mat-card-content">
          <p class="main-menu">Your Profile</p>
        </mat-card-content>
      </mat-card>
    </a>
  </div>
</ng-container>

<ng-template #loading>
  <app-loading></app-loading>
</ng-template>
